Discussion Games require Internet Validation on 6.1.0?

Kadji Oct 31, 2018.

  1. wizball1973

    wizball1973 Advanced Member

    Newcomer
    3
    Nov 4, 2012
    Senegal
    This happens to me but only on the games I actually purchased on the eShop. I'm on firmware 6.0.0.
     
  2. Mohammed2935

    Mohammed2935 GBAtemp Regular

    Member
    5
    Jul 4, 2018
    Kuwait
    I wasn't able to play death mark because it requires higher FW than 5.1.0 so I used the homebrew app to update it to 6.1.0 directly, I didn't even backup my nand haha …… anyway I can play the game now. I wish I did it sooner.
     
    Erol likes this.
  3. gene0915

    gene0915 GBAtemp Regular

    Member
    5
    Apr 6, 2008
    United States
    I'm on FW 5.1 and purchased Mario Odyssey, MK8 and Rocket League from the eShop. I'm super banned and was thinking about updating to 6.1 via ChoiDujourNX but now I'm a bit worried. I'd hate to lose the ability to play MO and MK8 (due to save games for me and my kids) and I have the Rocket League Ultimate Edition NSP waiting to install. Anyone have ideas on how I should proceed?

    EDIT: Using SX OS if it matters.
     
    Last edited by gene0915, Nov 3, 2018 - Reason: Update
  4. peteruk

    peteruk GBAtemp Addict

    Member
    13
    Jun 26, 2015
    Decided to initialise my system yesterday and do a fresh install from scratch, I'm on 6.1.0

    Installed about 10 titles, no issues with asking for validation or other strange behaviors
     
    kop365, Citrus-Hombre and Alex-Kidd like this.
  5. gene0915

    gene0915 GBAtemp Regular

    Member
    5
    Apr 6, 2008
    United States
  6. wizball1973

    wizball1973 Advanced Member

    Newcomer
    3
    Nov 4, 2012
    Senegal
    My initial post problem is resolved. Games will run from SD card. From NAND they need to validate online. Only games I actually purchased from the eShop.
     
  7. BoxNinPlay

    BoxNinPlay GBAtemp Regular

    Member
    3
    Jan 4, 2016
    United States
    jejeje I am with you, Nice tactic Nintendo :)
     
    Shadow#1 likes this.
  8. gene0915

    gene0915 GBAtemp Regular

    Member
    5
    Apr 6, 2008
    United States
    Different for me. Mario Kart 8 Deluxe, Rocket League and Mario Odyssey are all sitting in my nand (legally purchased when I bought my Switch). After hacking 6.1.0 on my system, they launch perfectly fine.
     
  9. wizball1973

    wizball1973 Advanced Member

    Newcomer
    3
    Nov 4, 2012
    Senegal
    Maybe something to do with them all having a physical release too? I'm not fussed as I've decided to leave the entire nand for save games. SD cards are super cheap now.
     
  10. Erol

    Erol GBAtemp Fan

    Member
    6
    May 13, 2009
    Gambia, The
  11. Huntereb

    Huntereb GBAtemp Psycho!

    Member
    9
    Sep 1, 2013
    United States
    No, you have to wait for daddy TX to release an update.

    EDIT: Actually, I guess it is a quick fix, considering SX OS is just repackaged Atmosphere sysmodules with a few extras on top. It should support these patches, even though they're usually not needed on SX OS.
     
    Last edited by Huntereb, Nov 5, 2018
  12. Stern1991

    Stern1991 Member

    Newcomer
    1
    Nov 2, 2018
    Iran
    tested sdfiles v10.1.1 on my 6.1.0 console and still the games require internet connection and I can't run them.
    the same problem exists on the latest version of rajnx too
    looks like the only way at the moment is downgrade to 6.0.1
     
  13. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    Did you update your sigpatches?
     
    Stern1991 likes this.
  14. DaveLister

    DaveLister GBAtemp Advanced Fan

    Member
    6
    Apr 27, 2018
    Afghanistan
    lv426

    Using SX OS on 6.1 as well no problems , mario loads fine , I did remove nsp update files by mistake - switch bitched about game updates - re-applied the update nsp's no problems booting mk8 niether.
    User is mostlikely using out of date files for his or her SD as in not using SX OS - so much hassle goes away with the paid for platform.

    — Posts automatically merged - Please don't double post! —

    Worthy of note superbanned and used choudur to upgrade to 6.1

    — Posts automatically merged - Please don't double post! —

    cannot find that bastid youtube nsp tho. it not on the Bins full of X neither
     
  15. Stern1991

    Stern1991 Member

    Newcomer
    1
    Nov 2, 2018
    Iran
    How can I do that?
    Sorry for asking that, but my information about switch hacking is too basic, I'm a beginner
     
  16. DaveLister

    DaveLister GBAtemp Advanced Fan

    Member
    6
    Apr 27, 2018
    Afghanistan
    lv426
    IF you want to go down the rabbit hole then reading is your friend. If You want to fill the rabbit hole with concrete and forget all the hacking sillyness = buy SX PRO.
     
    Stern1991 likes this.
  17. Stern1991

    Stern1991 Member

    Newcomer
    1
    Nov 2, 2018
    Iran
    Ok but I wanna know which way is easier for me in my situation to solve this online activiation matter, updating my sigpatches or downgrade 6.1.0 to 6.0.0?
    And I would be very appreaciated if anybody could send me a link for checking each method, specially for downgrading I dont know where I should get 6.0.0 version for downgrading.
     
  18. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    Up to date sigpatches are here: https://gbatemp.net/threads/i-heard-that-you-guys-need-some-sweet-patches-for-atmosphere.521164/
     
  19. GDT

    GDT Member

    Newcomer
    3
    Nov 12, 2009
    Italy
    I got this issue with SX OS (2.3 beta). If i run xci games they runs well. If I extract the xci to NSP and install them I got issues with many games (Sonic Mania Plus, FIFA19, while Mario kart and donkey Kong work).
    What can I do?
     
    Last edited by GDT, Nov 30, 2018
  20. GDT

    GDT Member

    Newcomer
    3
    Nov 12, 2009
    Italy
    I tried with atmosphere also, always on 6.1.0. Same results. My console never went online and user profile is offline too. What can I do? Is there any way to set my console as primary?
     
Quick Reply
Draft saved Draft deleted
Loading...